#pragma once

#include "widget/block_grid.hpp"
#include <nana/gui.hpp>
#include <nana/gui/widgets/label.hpp>

namespace mc {
class MainWindow : public nana::form {
public:
	MainWindow (int icon_size, int icon_fps);

private:
	duck::widget::BlockGrid m_grid1;
	duck::widget::BlockGrid m_grid2;
	nana::label m_label1;
	nana::label m_label2;

	int m_icon_size;
	int m_icon_fps;
};
} //namespace mc
